clear;
close all;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Date: March 22, 2012
%
% Program: this file reads in the baseline regression micro results for the whole economy sample.
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Get raw data

data=csvread('Output/growth_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_macro = data(:,13);
w_fp = data(:,14); 
w_f = data(:,15);
w_ip = data(:,16);
w_i = data(:,17);
w_p = data(:,18);

clear data;
save Output/reg_output_all_ca;

data=csvread('Output/FR_growth_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_macro = data(:,13);
w_fp = data(:,14); 
w_f = data(:,15);
w_ip = data(:,16);
w_i = data(:,17);
w_p = data(:,18);

clear data;
save Output/FR_reg_output_all_ca;

data=csvread('Output/X_growth_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_macro = data(:,13);
w_fp = data(:,14); 
w_f = data(:,15);
w_ip = data(:,16);
w_i = data(:,17);
w_p = data(:,18);

clear data;
save Output/X_reg_output_all_ca;

data=csvread('Output/growth_regs_vapays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_macro = data(:,13);
w_fp = data(:,14); 
w_f = data(:,15);
w_ip = data(:,16);
w_i = data(:,17);
w_p = data(:,18);

clear data;
save Output/reg_output_all_va;

data=csvread('Output/growth_pct_size_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_size = data(:,13);
gr_sizesec = data(:,14);
gr_macro = data(:,15);
w_fp = data(:,16); 
w_f = data(:,17);
w_ip = data(:,18);
w_i = data(:,19);
w_p = data(:,20);

clear data;
save Output/reg_output_all_ca_pct_size;

data=csvread('Output/growth_classage_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_size = data(:,13);
gr_sizesec = data(:,14);
gr_macro = data(:,15);
w_fp = data(:,16); 
w_f = data(:,17);
w_ip = data(:,18);
w_i = data(:,19);
w_p = data(:,20);

clear data;
save Output/reg_output_all_ca_classage;

data=csvread('Output/growth_RD_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_size = data(:,13);
gr_sizesec = data(:,14);
gr_macro = data(:,15);
w_fp = data(:,16); 
w_f = data(:,17);
w_ip = data(:,18);
w_i = data(:,19);
w_p = data(:,20);

clear data;
save Output/reg_output_all_ca_RD;

data=csvread('Output/growth_pat_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_size = data(:,13);
gr_sizesec = data(:,14);
gr_macro = data(:,15);
w_fp = data(:,16); 
w_f = data(:,17);
w_ip = data(:,18);
w_i = data(:,19);
w_p = data(:,20);

clear data;
save Output/reg_output_all_ca_pat;

data=csvread('Output/growth_openness_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_size = data(:,13);
gr_sizesec = data(:,14);
gr_macro = data(:,15);
w_fp = data(:,16); 
w_f = data(:,17);
w_ip = data(:,18);
w_i = data(:,19);
w_p = data(:,20);

clear data;
save Output/reg_output_all_ca_openness;

data=csvread('Output/growth_pct_totdebt_regs_capays_all.csv',1,0);

id_fp = data(:,1);
id_f = data(:,2);
id_ip = data(:,3);
id_i = data(:,4);
id_p = data(:,5);
year = data(:,6);
id_ipy = data(:,7);
gr_variable = data(:,8);
gr_idio = data(:,9);
gr_idio_com = data(:,10);
gr_idio_dest = data(:,11);
gr_sec = data(:,12);
gr_size = data(:,13);
gr_sizesec = data(:,14);
gr_macro = data(:,15);
w_fp = data(:,16); 
w_f = data(:,17);
w_ip = data(:,18);
w_i = data(:,19);
w_p = data(:,20);

clear data;
save Output/reg_output_all_ca_pct_totdebt;
